﻿// $Header: $ 
// Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.

// ReSharper disable CheckNamespace
// ReSharper disable LocalizableElement
// ReSharper disable PossibleNullReferenceException
#region Example
// Shows how to get the subject name of application certificates.

using System;
using OpcLabs.BaseLib.Extensions;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.Application;

namespace UADocExamples.Application._IEasyUAClientApplication
{
    class GetCertificateSubjectName
    {
        public static void Main1()
        {
            // Obtain the client application service.
            var client = new EasyUAClient();
            IEasyUAClientApplication clientApplication = client.GetService<IEasyUAClientApplication>();

            // Get the subject name of application certificates.
            string certificateSubjectName = clientApplication.GetCertificateSubjectName();

            // Display results
            Console.WriteLine("Certificate subject name: {0}", certificateSubjectName);
        }
    }
}
#endregion
